From: "罗百科" <patrick@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/symengine/
Date: Sat, 28 Dec 2019 11:57:10 +0000 (UTC) [thread overview]
Message-ID: <1577534218.01a6c94e2c5ea98f10d17d60a77a6ebeab9d03fb.patrick@gentoo> (raw)
commit: 01a6c94e2c5ea98f10d17d60a77a6ebeab9d03fb
Author: Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 28 11:55:15 2019 +0000
Commit: 罗百科 <patrick <AT> gentoo <DOT> org>
CommitDate: Sat Dec 28 11:56:58 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=01a6c94e
sci-libs/symengine: Bump
Add support for gmp-ecm
Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Patrick Lauer <patrick <AT> gentoo.org>
sci-libs/symengine/Manifest | 1 +
sci-libs/symengine/metadata.xml | 1 +
sci-libs/symengine/symengine-0.5.0.ebuild | 79 +++++++++++++++++++++++++++++++
3 files changed, 81 insertions(+)
diff --git a/sci-libs/symengine/Manifest b/sci-libs/symengine/Manifest
index d09067fd889..cdd3d1b700a 100644
--- a/sci-libs/symengine/Manifest
+++ b/sci-libs/symengine/Manifest
@@ -1,2 +1,3 @@
DIST symengine-0.3.0.tar.gz 629813 BLAKE2B 8d611703604f10d1ed8837708fa2125c0e84d12a8513d34e5d4bd44ae55395bcaa8fda92754b538ba1ecfdcacff83d079094dda9dfca6fdcdc4cccb0702cf484 SHA512 e4a906bb1cc5159003969871711f40b3c6bfb9e38ac25258dc5797933d55374a2f201c8a89e9af48821b24cc54408d4feb70f6de421e0a9fbf766d2b35846b83
DIST symengine-0.4.0.tar.gz 753664 BLAKE2B c6296ceef20cfbb16803adc3c623429cf417c639d45d8cad742c3f7cf9d8171f22fb72e168cd07a6a705726a09133866fa497e2092ec4885ae4462d55adc416e SHA512 162c4bb4c67e2f21a0a113726d7b0ad00cc3e80db0534e95109a41894dcd05ca03a3be39d1a56a336b4bb7926dadad72fbe6705c71df3448db99fde20139ad11
+DIST symengine-0.5.0.tar.gz 761321 BLAKE2B ddff0e756188f375e966b92e6e7796936b8b6fe1a884c036066dc09d46183f157761c9813fe27366e625b7cc070381332964a12f14617be66b0f38f536c0518d SHA512 0b94b531f71adf9129440e0664a5b5ce23453de6c8d22ed385958b38cda9bc2b356a0182a80076f47b217e9f6b5a57f059b040fddf7d69694d5bd5857b0a046b
diff --git a/sci-libs/symengine/metadata.xml b/sci-libs/symengine/metadata.xml
index 63672cfa6a0..759e5c9c0a4 100644
--- a/sci-libs/symengine/metadata.xml
+++ b/sci-libs/symengine/metadata.xml
@@ -17,6 +17,7 @@
<flag name="arb">Add support for arb (<pkg>sci-mathematics/arb</pkg>)</flag>
<flag name="benchmarks">Build benchmarks</flag>
<flag name="boost">Add support for boost integers(<pkg>dev-libs/boost</pkg>)</flag>
+ <flag name="ecm">Add support for ECM integer factorization library (<pkg>sci-mathematics/gmp-ecm</pkg>)</flag>
<flag name="flint">Add support for (<pkg>sci-mathematics/flint</pkg>)</flag>
<flag name="llvm">Build with LLVM</flag>
<flag name="mpc">Add support for multiprecision complex arithmetic(<pkg>dev-libs/mpc</pkg>)</flag>
diff --git a/sci-libs/symengine/symengine-0.5.0.ebuild b/sci-libs/symengine/symengine-0.5.0.ebuild
new file mode 100644
index 00000000000..725e60e3d7f
--- /dev/null
+++ b/sci-libs/symengine/symengine-0.5.0.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils flag-o-matic
+
+DESCRIPTION="Fast symbolic manipulation library, written in C++"
+HOMEPAGE="https://github.com/sympy/symengine"
+SRC_URI="https://github.com/sympy/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0/0.4"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="arb benchmarks boost debug doc ecm flint llvm mpc mpfr openmp test tcmalloc threads"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ dev-libs/gmp:=
+ sys-libs/binutils-libs:=
+ arb? ( sci-mathematics/arb:= )
+ boost? ( dev-libs/boost:= )
+ ecm? ( sci-mathematics/gmp-ecm )
+ mpc? ( dev-libs/mpc:= )
+ tcmalloc? ( dev-util/google-perftools )
+"
+DEPEND="${RDEPEND}
+ doc? ( app-doc/doxygen[dot] )
+"
+
+pkg_pretend() {
+ use openmp && [[ ${MERGE_TYPE} != binary ]] && tc-check-openmp
+}
+
+src_prepare() {
+ cmake-utils_src_prepare
+ sed -e "s|DESTINATION doc| DESTINATION share/doc/${PF}/html|" \
+ -e "s|/lib|/$(get_libdir)|g" \
+ -e "s|lib/|$(get_libdir)/|g" \
+ -e "/DESTINATION/s|lib|$(get_libdir)|g" \
+ -i CMakeLists.txt symengine/CMakeLists.txt \
+ symengine/utilities/teuchos/CMakeLists.txt || die
+}
+
+src_configure() {
+ # not in portage yet: piranha
+ local int_class
+ if use arb || use flint; then
+ int_class=flint
+ elif use mpfr; then
+ int_class=gmpxx
+ elif use boost; then
+ int_class=boostmp
+ else
+ int_class=gmp
+ fi
+ local mycmakeargs=(
+ -DARB_INCLUDE_DIR="${EPREFIX}/usr/include"
+ -DINTEGER_CLASS="${int_class}"
+ -DBUILD_SHARED_LIBS=ON
+ -DBUILD_BENCHMARKS="$(usex benchmarks)"
+ -DBUILD_DOXYGEN="$(usex doc)"
+ -DBUILD_TESTS="$(usex test)"
+ -DWITH_ARB="$(usex arb)"
+ -DWITH_BFD="$(usex debug)"
+ -DWITH_SYMENGINE_ASSERT="$(usex debug)"
+ -DWITH_SYMENGINE_THREAD_SAFE="$(usex threads)"
+ -DWITH_FLINT="$(usex flint)"
+ -DWITH_OPENMP="$(usex openmp)"
+ -DWITH_MPFR="$(usex mpfr)"
+ -DWITH_MPC="$(usex mpc)"
+ -DWITH_LLVM="$(usex llvm)"
+ -DWITH_PTHREAD="$(usex threads)"
+ -DWITH_TCMALLOC="$(usex tcmalloc)"
+ -DWITH_ECM="$(usex ecm)"
+ )
+ test-flag-CXX -std=c++11 && append-cxxflags -std=c++11
+ CMAKE_BUILD_TYPE=Release cmake-utils_src_configure
+}
next reply other threads:[~2019-12-28 11:57 UTC|newest]
Thread overview: 56+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-12-28 11:57 罗百科 [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-08 11:57 [gentoo-commits] repo/gentoo:master commit in: sci-libs/symengine/ Arthur Zamarin
2025-02-18 7:35 Michał Górny
2025-01-18 10:32 Arthur Zamarin
2025-01-06 7:08 WANG Xuerui
2025-01-04 16:35 Sam James
2025-01-04 16:17 Sam James
2025-01-01 8:56 Joonas Niilola
2024-12-31 8:15 Sam James
2024-12-31 8:07 Michał Górny
2024-12-31 8:07 Michał Górny
2024-07-15 1:39 Sam James
2024-07-15 0:05 Sam James
2024-06-27 12:18 Michael Orlitzky
2023-11-29 18:38 Arthur Zamarin
2023-11-29 18:06 Michał Górny
2023-11-25 6:12 Sam James
2023-10-03 23:53 Sam James
2023-06-12 8:24 Arthur Zamarin
2023-04-16 12:11 WANG Xuerui
2023-03-24 2:57 Sam James
2023-03-22 9:20 Sam James
2022-11-18 17:29 Arthur Zamarin
2022-09-11 18:13 Sam James
2022-09-11 18:13 Sam James
2022-06-11 6:57 Matthias Maier
2022-06-11 6:50 Matthias Maier
2022-05-16 8:12 David Seifert
2022-03-29 8:49 Yixun Lan
2022-03-09 9:19 Agostino Sarubbo
2022-03-07 16:20 Agostino Sarubbo
2022-02-22 5:40 Yixun Lan
2022-02-21 3:17 Sam James
2022-02-21 2:49 Sam James
2021-12-30 19:10 Arthur Zamarin
2021-12-30 19:04 Arthur Zamarin
2021-12-14 19:52 Andrew Ammerlaan
2021-11-22 3:07 Yixun Lan
2021-05-04 7:03 Agostino Sarubbo
2021-04-30 15:23 Agostino Sarubbo
2020-10-27 19:58 Sam James
2020-10-27 5:11 Sam James
2020-08-31 14:15 Sam James
2020-08-31 13:49 Sam James
2020-08-30 23:18 Sam James
2020-05-02 20:15 Matthias Maier
2020-03-09 12:48 Agostino Sarubbo
2020-03-09 12:39 Agostino Sarubbo
2020-03-08 17:46 Andreas Sturmlechner
2020-03-08 17:46 Andreas Sturmlechner
2020-03-08 16:16 Andreas Sturmlechner
2020-03-08 16:02 Andreas Sturmlechner
2019-04-09 3:16 Matthias Maier
2017-08-16 18:12 Sebastien Fabbro
2017-08-03 17:33 Sebastien Fabbro
2017-07-26 20:07 Sebastien Fabbro
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1577534218.01a6c94e2c5ea98f10d17d60a77a6ebeab9d03fb.patrick@gentoo \
--to=patrick@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox